# SPDX-FileCopyrightText: 2023 Scarlett Moore <sgmoore@kde.org>
#
# SPDX-License-Identifier: CC0-1.0
---
name: alligator
confinement: strict
grade: stable
base: core22
adopt-info: alligator
apps:
    alligator:
        extensions:
        - kde-neon-6
        common-id: org.kde.alligator
        desktop: usr/share/applications/org.kde.alligator.desktop
        command: usr/bin/alligator
        plugs:
        - home
        - cups
        - network-manager-observe
slots:
    session-dbus-interface:
        interface: dbus
        name: org.kde.alligator
        bus: session
package-repositories:
-   type: apt
    components:
    - main
    suites:
    - jammy
    key-id: 444DABCF3667D0283F894EDDE6D4736255751E5D
    url: http://origin.archive.neon.kde.org/user
    key-server: keyserver.ubuntu.com
parts:
    alligator:
        parse-info:
        - usr/share/metainfo/org.kde.alligator.appdata.xml
        plugin: cmake
        source: .
        source-type: local
        cmake-parameters:
        - -DCMAKE_INSTALL_PREFIX=/usr
        - -DCMAKE_BUILD_TYPE=Release
        - -DQT_MAJOR_VERSION=6
        - -DBUILD_WITH_QT6=ON
        - -DBUILD_TESTING=OFF
        - -DCMAKE_INSTALL_SYSCONFDIR=/etc
        - -DCMAKE_INSTALL_LOCALSTATEDIR=/var
        - -DCMAKE_EXPORT_NO_PACKAGE_REGISTRY=ON
        - -DCMAKE_FIND_USE_PACKAGE_REGISTRY=OFF
        - -DCMAKE_FIND_PACKAGE_NO_PACKAGE_REGISTRY=ON
        - -DCMAKE_INSTALL_RUNSTATEDIR=/run
        - -DCMAKE_SKIP_INSTALL_ALL_DEPENDENCY=ON
        - -DCMAKE_VERBOSE_MAKEFILE=ON
        - -DCMAKE_INSTALL_LIBDIR=lib/$CRAFT_ARCH_TRIPLET_BUILD_FOR
        - --log-level=STATUS
        - -DCMAKE_LIBRARY_PATH=lib/$CRAFT_ARCH_TRIPLET_BUILD_FOR
        prime:
        - -usr/lib/*/cmake/*
        - -usr/include/*
        - -usr/share/ECM/*
        - -usr/share/man/*
        - -usr/bin/X11
        - -usr/lib/gcc/$CRAFT_ARCH_TRIPLET_BUILD_FOR/6.0.0
        - -usr/lib/aspell/*
        - -usr/share/lintian
    cleanup:
        after:
        - alligator
        plugin: nil
        build-snaps:
        - core22
        - kf6-core22
        - qt-common-themes
        override-prime: |
            set -eux
            for snap in "core22" "kf6-core22" "qt-common-themes"; do
                cd "/snap/$snap/current" && find . -type f,l -exec rm -rf "${CRAFT_PRIME}/{}" \;
            done


